package infra

import (
	"encoding/json"
	"net/http"
)

// HTTPErrorResponse escribe un HTTPError como JSON en w.
// Setea Content-Type a application/json y usa err.Status como status code.
func HTTPErrorResponse(w http.ResponseWriter, err HTTPError) {
	w.Header().Set("Content-Type", "application/json")
	w.WriteHeader(err.Status)
	json.NewEncoder(w).Encode(err)
}
